<?php

function get_unfallzahlen($numYear,$strLocation) {
    global $db;
    $strSQL="SELECT   
                UKATEGORIE, count(UKATEGORIE) as anz
            FROM data 
            WHERE IstRad=1 AND UJAHR=$numYear $strLocation
            GROUP BY UKATEGORIE";
     $result = $db->query($strSQL);
     $arrResult = $result->fetchAll(PDO::FETCH_ASSOC);
     return $arrResult;
}


function get_beteiligte($numYear,$strLocation) {
    global $db;
    $strSQL="SELECT 
                sum(IstRad) as rad,
                sum(IstPKW) as pkw,
                sum(IstFuss) as fuss,
                sum(IstKrad) as krad,
                sum(IstGkfz) as lkw,
                sum(IstSonstige) as sonstiges
            FROM data 
            WHERE istRad=1 AND UJAHR =".$numYear.$strLocation;
    $result = $db->query($strSQL);
    if ($row = $result->fetch(PDO::FETCH_ASSOC)) { $arrResult = $row; }

    $strSQL="SELECT count(*) as count FROM data  
                        WHERE  UJAHR=".$numYear." AND IstPKW=0 and IstFuss=0 and IstKrad=0 and IstGkfz=0 
                        and IstSonstige=0 ".$strLocation;                   
    $result = $db->query($strSQL);
    if ($row = $result->fetch(PDO::FETCH_ASSOC)) {
        $arrResult["gleich"]=$row['count'];
    }      
    return $arrResult;
}

function get_unfalltyp($numYear,$strLocation){
    global $db;
    $strSQL="SELECT UTYP1, count(UTYP1) as anz FROM data WHERE istRad=1 AND UJAHR=".$numYear.$strLocation." GROUP BY UTYP1";
    $result = $db->query($strSQL);
    $arrResult = $result->fetchAll(PDO::FETCH_ASSOC);
    return $arrResult;
}

function get_unfallart($numYear,$strLocation){
    global $db;
    $strSQL="SELECT UART, count(UART) as anz FROM data WHERE istRad=1 AND UJAHR=".$numYear.$strLocation." GROUP BY UART";
    $result = $db->query($strSQL);
    $arrResult = $result->fetchAll(PDO::FETCH_ASSOC);
    return $arrResult;
}

function get_series($arrData,$arrBezeichnung,$strIndex1,$strIndex2="anz"){
    $result="[";
    foreach ($arrData as $row) {
        $result.= "{ name: '".$arrBezeichnung[$row[$strIndex1]] ."', y: ".$row[$strIndex2]."},"; 
    }
    $result.="]";
    return $result;
}

